#! /bin/bash
# script to fetch a snapshot of gtkmozembedmm from cvs
# and generate a tarball suitable for building a rpm
# by H. Guémar v. 0.1 du 12/09/2006


# date format YYYYMMDD
TIME="2006-08-17"
TIME_STAMP="20060817"

if ( (test -d gtkmozembedmm) || (test -d gtkmozembedmm-1.4.2.cvs${TIME_STAMP})); then
    rm -rf ./gtkmozembedmm*/
    echo "@ previous cvs snapshot has been deleted"
fi
echo "***** Please hit Enter when asked to login *****"
cvs -d :pserver:anonymous@anoncvs.gnome.org:/cvs/gnome login
# get CVS snapshot
# use export for not including cvs files
cvs -z3 -d :pserver:anonymous@anoncvs.gnome.org:/cvs/gnome export -D${TIME}  gtkmozembedmm
if [ -d gtkmozembedmm ]; then
    echo "cvs snapshot has been successfully retrieved"
else
    echo "@ ERROR: cvs snapshot has not been retrieved"
    exit 0  
fi

# launch autogen.sh script
echo "***** Generate autotools scripts *****"
cd gtkmozembedmm
# dirty workaround not to launch configure script
sed 's/.*maintainer/# &'/ autogen.sh > autogen.tmp
mv autogen.tmp autogen.sh
chmod +x autogen.sh
sh autogen.sh
cd ..

# Build tarball
if ( test -e gtkmozembedmm-1.4.2.cvs${TIME_STAMP}.tar.bz2); then
    rm gtkmozembedmm-1.4.2.cvs${TIME_STAMP}.tar.bz2
    echo "@ previous tarball has been deleted"
fi
echo "***** tarball build *****"
mv ./gtkmozembedmm/ gtkmozembedmm-1.4.2.cvs${TIME_STAMP}
tar -cjf gtkmozembedmm-1.4.2.cvs${TIME_STAMP}.tar.bz2 ./gtkmozembedmm-1.4.2.cvs${TIME_STAMP}/
if ( test -e gtkmozembedmm-1.4.2.cvs${TIME_STAMP}.tar.bz2); then
    echo "@ Success"
else
    echo "@ ERROR: tarball has not been built"
fi
