%define gecko_ver 1.8.1.13

Name:           gtkmozembedmm
Version:        1.4.2.cvs20060817
Release:        19%{?dist}

Summary:        C++ wrapper for GtkMozembed

Group:          System Environment/Libraries
License:        LGPL
URL:            http://gtkmm.sourceforge.net/
Source0:        gtkmozembedmm-%{version}.tar.bz2
# script to generate tarball from cvs
Source1:        gtkmozembedmm-cvs.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires:  gtkmm24-devel >= 2.4.0
BuildRequires:  gnome-vfsmm26 >= 2.12.0
BuildRequires:  libgnomemm26 >= 2.12.0
BuildRequires:  libgnomeuimm26-devel >= 2.12.0
# Use mozilla-devel up to FC5, and gecko-devel for FC6+
BuildRequires: gecko-devel = %{gecko_ver}
Requires: gecko-libs = %{gecko_ver}
BuildRequires:  automake >= 1.9.6
BuildRequires:  libtool
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig


%description
This package provides a C++/gtkmm wrapper for GtkMozEmbed 
from Mozilla 1.4.x to 1.7.x.
The wrapper provides a convenient interface for C++ programmers 
to use the Gtkmozembed HTML-rendering widget inside their software.

%package devel
Summary:        Headers for developing programs that will use gtkmozembedmm
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtkmm24-devel
BuildRequires: gecko-devel = %{gecko_ver}


%description devel
This package contains the headers that programmers will need to
develop applications which will use gtkmozembedmm.


%prep
%setup -q -n gtkmozembedmm-%{version}
%{__sed} -i 's/mozilla-gtkmozembed/firefox-gtkmozembed/' configure configure.ac
%ifarch x86_64
# correct a path issue that prevent gtkmozembedmm to build on x86_64
%{__sed} -i 's/lib\/glibmm-2.4/lib64\/glibmm-2.4/' configure
%{__sed} -i 's/lib\/glibmm-2.4/lib64\/glibmm-2.4/' configure.ac
%endif

%build
# enable maintainer specific parts in makefiles
# prevent the build to fail
%configure --disable-static   --enable-maintainer-mode "$@"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/*.so
mkdir $RPM_BUILD_ROOT%{_includedir}/gtkmozembedmm-1.4/proc/
mv $RPM_BUILD_ROOT%{_libdir}/gtkmozembedmm-1.4/include/gtkmozembedmmconfig.h \
   $RPM_BUILD_ROOT%{_includedir}/gtkmozembedmm-1.4/gtkmozembedmmconfig.h
mv $RPM_BUILD_ROOT%{_libdir}/gtkmozembedmm-1.4/proc \
   $RPM_BUILD_ROOT%{_includedir}/gtkmozembedmm-1.4/proc/

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog TODO NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%doc
%{_includedir}/gtkmozembedmm-1.4/
%{_libdir}/*.so
%{_libdir}/gtkmozembedmm-1.4/
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Mar 27 2008 Remi Collet <RPMS@FamilleCollet.com> - 1.4.2.cvs20060817-19.fc6.remi
- rebuild against Firefox 2.0.0.13 (gecko 1.8.1.13)

* Fri Feb  8 2008 Remi Collet <RPMS@FamilleCollet.com> - 1.4.2.cvs20060817-18.fc6.remi
- rebuild against Firefox 2.0.0.12 (gecko 1.8.1.12)

* Sat Dec  1 2007 Remi Collet <RPMS@FamilleCollet.com> - 1.4.2.cvs20060817-17.fc6.remi
- rebuild against Firefox 2.0.0.11 (gecko 1.8.1.11)

* Wed Nov 28 2007 Remi Collet <RPMS@FamilleCollet.com> - 1.4.2.cvs20060817-16.fc6.remi
- rebuild against Firefox 2.0.0.10 (gecko 1.8.1.10)

* Fri Nov 02 2007 Remi Collet <RPMS@FamilleCollet.com> - 1.4.2.cvs20060817-15.fc6.remi
- rebuild against Firefox 2.0.0.9 (gecko 1.8.1.9)

* Sat Oct 20 2007 Remi Collet <RPMS@FamilleCollet.com> - 1.4.2.cvs20060817-14.fc6.remi
- rebuild against Firefox 2.0.0.8 (gecko 1.8.1.8)

* Tue Sep 18 2007 Remi Collet <RPMS@FamilleCollet.com> - 1.4.2.cvs20060817-13.fc6.remi
- rebuild against Firefox 2.0.0.7 (gecko 1.8.1.7)

* Sun Aug 12 2007 Remi Collet <RPMS@FamilleCollet.com> - 1.4.2.cvs20060817-12.fc6.remi
- rebuild against Firefox 2.0.0.6 (gecko 1.8.1.6)

* Wed Jul 18 2007 Remi Collet <RPMS@FamilleCollet.com> - 1.4.2.cvs20060817-11.fc6.remi
- rebuild against Firefox 2.0.0.5 (gecko 1.8.1.5)

* Sun May 13 2007 Remi Collet <RPMS@FamilleCollet.com> - 1.4.2.cvs20060817-10.fc6.remi
- rebuild against Firefox 2.0.0.4 (gecko 1.8.1.4)

* Sat Mar 17 2007 Remi Collet <RPMS@FamilleCollet.com> - 1.4.2.cvs20060817-9.fc6.remi
- rebuild against Firefox 2.0.0.3 (gecko 1.8.1.3)

* Sat Mar 10 2007 Remi Collet <RPMS@FamilleCollet.com> - 1.4.2.cvs20060817-8.fc6.remi
- again, rebuild against Firefox 2.0.0.2 (gecko 1.8.1.2)

* Fri Mar 09 2007 Karl <karlthered@gmail.com> - 1.4.2.cvs20060817-8
- Rebuilt against firefox-devel-1.5.0.10

* Sat Feb 24 2007 Remi Collet <RPMS@FamilleCollet.com> - 1.4.2.cvs20060817-7.fc6.remi.1
- rebuild against Firefox 2.0.0.2 (gecko 1.8.1.2)

* Thu Dec 21 2006 Remi Collet <RPMS@FamilleCollet.com> - 1.4.2.cvs20060817-7.fc6.remi
- rebuild against FF2 (gecko 1.8.1.1)

* Sun Dec 17 2006 Remi Collet <RPMS@FamilleCollet.com> - 1.4.2.cvs20060817-5.fc6.remi
- rebuild against FF2 (gecko 1.8.1)

* Sun Nov 12 2006 Karl <karlthered@gmail.com> - 1.4.2.cvs20060817-5
- Fixed x86_64 build issue.

* Tue Sep 12 2006 Karl <karlthered@gmail.com> - 1.4.2.cvs20060817-4
- fixed shared lib permission, moved m4 macros into /usr/include, 
added libtool as BR, provides a script to generate cvs snapshot.

* Fri Sep 08 2006 Karl <karlthered@gmail.com> - 1.4.2.cvs20060817-3
- added automake as BR, conditional dependency on firefox-devel for 
FC6+ to build under Mock.

* Thu Aug 17 2006 Karl <karlthered@gmail.com> - 1.4.2.cvs20060817-2
- updated to cvs20060817

* Sat May 20 2006 Karl <karlthered@gmail.com> - 1.4.2-1
- First Packaging from cvs
